Last Comment Bug 674276 - Backout bug 335998 from Aurora/FF8
: Backout bug 335998 from Aurora/FF8
Status: VERIFIED FIXED
[qa!]
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Olli Pettay [:smaug]
:
Mentors:
Depends on: strongparent
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-26 10:41 PDT by Olli Pettay [:smaug]
Modified: 2011-10-05 05:18 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
backout patch (14.57 KB, patch)
2011-08-17 03:36 PDT, Olli Pettay [:smaug]
asa: approval‑mozilla‑aurora+
Details | Diff | Review

Description Olli Pettay [:smaug] 2011-07-26 10:41:15 PDT
Bug 335998 is rather leak risky, so I'd like to keep it on m-c for some time
before releasing. So better to back it out from FF8/next Aurora
Comment 1 Johnny Stenback (:jst, jst@mozilla.com) 2011-08-16 14:46:08 PDT
Olli, can you do this backout?
Comment 2 Olli Pettay [:smaug] 2011-08-17 03:36:36 PDT
Created attachment 553722 [details] [diff] [review]
backout patch
Comment 4 Ioana (away) 2011-10-04 08:02:26 PDT
Verified on:
Mozilla/5.0 (Windows NT 5.1; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (Windows NT 5.1; rv:9.0a2) Gecko/20111002 Firefox/9.0a2
Mozilla/5.0 (Windows NT 5.1; rv:10.0a1) Gecko/20111003 Firefox/10.0a1

Mozilla/5.0 (Windows NT 6.1; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (Windows NT 6.1; rv:9.0a2) Gecko/20111003 Firefox/9.0a2
Mozilla/5.0 (Windows NT 6.1; rv:10.0a1) Gecko/20111003 Firefox/10.0a1

Mozilla/5.0 (X11; Linux i686; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (X11; Linux i686; rv:9.0a2) Gecko/20111003 Firefox/9.0a2
Mozilla/5.0 (X11; Linux i686; rv:10.0a1) Gecko/20111003 Firefox/10.0a1

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0a2) Gecko/20110929 Firefox/9.0a2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0a1) Gecko/20110927 Firefox/10.0a1

Bug #335998 reproduces on Firefox 8.0 on all the OSs. It doesn't reproduce on aurora(Fx9) and nightly(Fx10).

Note You need to log in before you can comment on or make changes to this bug.